> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Profile Attributes (Dates)

> A `PUT` to the `/profiles/{profileId}/attributes/dates` endpoint allows your application to get the Profiles Attributes relating to the Profiles Dates preferences.



## OpenAPI

````yaml put /v3/profiles/{profile}/attributes/dates
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/attributes/dates:
    put:
      tags:
        - Profile Dates Attribute
      summary: Edit Profile Attributes (Dates)
      description: >-
        A `PUT` to the `/profiles/{profileId}/attributes/dates` endpoint allows
        your application to get the Profiles Attributes relating to the Profiles
        Dates preferences.
      operationId: profileDatesAttribute.update
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProfileDatesAttribute'
      responses:
        '200':
          description: '`ProfileDatesAttribute`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProfileDatesAttribute'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateProfileDatesAttribute:
      type: object
      properties:
        is_recurring:
          type:
            - boolean
            - 'null'
        recurring_schedule:
          type:
            - string
            - 'null'
        name:
          type: string
        handle:
          type: string
        relationship:
          type: string
        role:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items:
            type: string
        note:
          type:
            - string
            - 'null'
        date:
          type: string
          format: date
        links:
          type: array
          items:
            type: object
            properties:
              profile_id:
                type: string
              relationship:
                type:
                  - string
                  - 'null'
              role:
                type:
                  - string
                  - 'null'
            required:
              - profile_id
      required:
        - handle
        - relationship
        - date
      title: UpdateProfileDatesAttribute
    ProfileDatesAttribute:
      type: object
      properties:
        id:
          type: string
        profile_id:
          type: string
        date:
          type: string
        is_recurring:
          type: string
        recurring_schedule:
          type: string
        name:
          type: string
        handle:
          type: string
        relationship:
          type: string
        role:
          type: string
        description:
          type: string
        meta:
          type: string
        note:
          type: string
        links:
          type: array
          items:
            $ref: '#/components/schemas/ProfileDatesAttributeLink'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - date
        - is_recurring
        - recurring_schedule
        - name
        - handle
        - relationship
        - role
        - description
        - meta
        - note
        - links
        - created_at
        - updated_at
      title: ProfileDatesAttribute
    ProfileDatesAttributeLink:
      type: object
      properties:
        id:
          type: string
        attributes_date_id:
          type: string
        profile_id:
          type: string
        relationship:
          type: string
        role:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - attributes_date_id
        - profile_id
        - relationship
        - role
        - created_at
        - updated_at
      title: ProfileDatesAttributeLink
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````